#scoreboard players reset @s titan_id
scoreboard players set @s titan_progress 0

attribute @s gravity base set 0.08
attribute @s entity_interaction_range base set 25
attribute @s step_height base set 3.5
attribute @s safe_fall_distance base set 10
attribute @s jump_strength base set .9
attribute @s movement_speed base set .15
attribute @s knockback_resistance base set 100
attribute @s explosion_knockback_resistance base set 100



execute at @s as @n[tag=titan_skeleton] at @s run function titan_shifting/skeleton_rid
#attribute @s scale base set 1
execute at @s run summon item_display ~ ~ ~ {view_range:0f,width:0f,height:0f,teleport_duration:0,Tags:["titan_storage","item_display"],Passengers:[{id:"minecraft:chest_minecart",CustomNameVisible:0b,CustomName:'{"italic":false,"text":"Titan Corpse"}',Silent:1b,Invulnerable:1b,Tags:["inv_mc","titan_storage","chest_minecart"],CustomDisplayTile:1b,DisplayState:{Name:"minecraft:air"},Passengers:[{id:"minecraft:marker",Tags:["titan_storage","marker"]}]}]}
execute at @s run summon item_display ~ ~ ~ {view_range:0f,width:0f,height:0f,teleport_duration:0,Tags:["titan_storage_2","item_display_2"],Passengers:[{id:"minecraft:chest_minecart",CustomNameVisible:0b,CustomName:'{"italic":false,"text":"Titan Corpse"}',Silent:1b,Invulnerable:1b,Tags:["inv_mc","titan_storage_2","chest_minecart_2"],CustomDisplayTile:1b,DisplayState:{Name:"minecraft:air"},Passengers:[{id:"minecraft:marker",Tags:["titan_storage_2","marker_2"]}]}]}

execute at @s run scoreboard players operation @n[tag=titan_storage,tag=item_display] titan_id = @s titan_id
execute at @s run scoreboard players operation @n[tag=titan_storage,tag=chest_minecart] titan_id = @s titan_id
execute at @s run scoreboard players operation @n[tag=titan_storage,tag=marker] titan_id = @s titan_id

execute at @s run scoreboard players operation @n[tag=titan_storage_2,tag=item_display_2] titan_id = @s titan_id
execute at @s run scoreboard players operation @n[tag=titan_storage_2,tag=chest_minecart_2] titan_id = @s titan_id
execute at @s run scoreboard players operation @n[tag=titan_storage_2,tag=marker_2] titan_id = @s titan_id

$execute at @s as @e[scores={titan_id=$(id)},tag=chest_minecart,limit=1] run function titan_shifting/shift_items with storage gg_aot:macro-end titan
$execute at @s as @e[scores={titan_id=$(id)},tag=chest_minecart_2,limit=1] run function titan_shifting/shift_items_2 with storage gg_aot:macro-end titan

scoreboard players set @s titan_shifter 2

item replace entity @s armor.head with minecraft:barrier[minecraft:equippable={asset_id:'minecraft:titan',slot:'head'},hide_tooltip={},custom_model_data={floats:[9982]},enchantments={levels:{"minecraft:binding_curse":1}},enchantment_glint_override=false,custom_data={kill_item:1b}]
item replace entity @s armor.chest with minecraft:barrier[minecraft:equippable={asset_id:'minecraft:titan',slot:'chest'},hide_tooltip={},custom_model_data={floats:[9982]},enchantments={levels:{"minecraft:binding_curse":1}},enchantment_glint_override=false,custom_data={kill_item:1b}]
item replace entity @s armor.legs with minecraft:barrier[minecraft:equippable={asset_id:'minecraft:titan',slot:'legs'},hide_tooltip={},custom_model_data={floats:[9982]},enchantments={levels:{"minecraft:binding_curse":1}},enchantment_glint_override=false,custom_data={kill_item:1b}]
item replace entity @s armor.feet with minecraft:barrier[minecraft:equippable={asset_id:'minecraft:titan',slot:'feet'},hide_tooltip={},custom_model_data={floats:[9982]},enchantments={levels:{"minecraft:binding_curse":1}},enchantment_glint_override=false,custom_data={kill_item:1b}]

effect clear @s invisibility
effect clear @s resistance
effect give @s resistance infinite 2 true

scoreboard players set @s titan_hit_cd 0
scoreboard players set @s titan_regen_cd 0
scoreboard players set @s titan_throwing 0

execute at @s run playsound entity.ravager.roar ambient @a ~ ~15.5 ~ 10 1.2

